Bug 66579 - migrate_all_offline fails when the Base DN contains three or more "dc" entries
migrate_all_offline fails when the Base DN contains three or more "dc" entries
Status: CLOSED CANTFIX
Product: Red Hat Linux
Classification: Retired
Component: openldap (Show other bugs)
7.3
All Linux
medium Severity low
: ---
: ---
Assigned To: Jay Fenlason
Aaron Brown
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-06-12 10:48 EDT by Wouter Liefting
Modified: 2014-08-31 19:24 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-18 12:37:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Wouter Liefting 2002-06-12 10:48:41 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.75 [en] (Windows NT 5.0; U)

Description of problem:
The migrate_all_offline.sh script fails when the Base DN contains three or more "dc" entries. The reason for this is that migrate_base 
automatically 
generates a string of up-stream entries, starting with a DN containing two dc entries. If slapd.conf is set up to only accept things with three dc's in 
it, 
slapadd gets an error.


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Config /etc/openldap/slapd.conf with a suffix like "dc=dom1, dc=example, dc=com"
2. Config /usr/share/openldap/migration/migrate_common.ph with a $DEFAULT_BASE of "dc=dom1, dc=example, dc=com"
3. Fix any other problems that migrate_common might encounter, such as the absence of /etc/netgroup and the ++ entries in /etc/protocols and 
/etc/services (see other bugzilla reports).
4. Run /usr/share/openldap/migration/migrate_all_offline.sh
	

Actual Results:  Program fails

Expected Results:  Should run correctly.

Additional info:

A temporary solution to this problem has been found: Change line 61 of /usr/share/openldpa/migration/migrate_base from

for ($dnloc = ($#dn_components-1); $dnloc >= 0; $dnloc--)

to

for ($dnloc = ($#dn_components-2); $dnloc >= 0; $dnloc--)

However, this only works for Base DNs containing exactly three dn entries, and not for more.

An alternative approach is to edit the migrate_all_offline script so that it will not automatically run slapadd and then deletes the /tmp file. Instead, let 
it save the /tmp file, remove the offending entry (at the top) and run slapadd manually.
Comment 1 Bill Nottingham 2006-08-05 00:38:27 EDT
Red Hat apologizes that these issues have not been resolved yet. We do want to
make sure that no important bugs slip through the cracks.

Red Hat Linux 7.3 and Red Hat Linux 9 are no longer supported by Red Hat, Inc.
They are maintained by the Fedora Legacy project (http://www.fedoralegacy.org/)
for security updates only. If this is a security issue, please reassign to the
'Fedora Legacy' product in bugzilla. Please note that Legacy security update
support for these products will stop on December 31st, 2006.

If this is not a security issue, please check if this issue is still present
in a current Fedora Core release. If so, please change the product and version
to match, and check the box indicating that the requested information has been
provided.

If you are currently still running Red Hat Linux 7.3 or 9, please note that
Fedora Legacy security update support for these products will stop on December
31st, 2006. You are strongly advised to upgrade to a current Fedora Core release
or Red Hat Enterprise Linux or comparable. Some information on which option may
be right for you is available at http://www.redhat.com/rhel/migrate/redhatlinux/.

Any bug still open against Red Hat Linux 7.3 or 9 at the end of 2006 will be
closed 'CANTFIX'. Again, if this bug still exists in a current release, or is a
security issue, please change the product as necessary. We thank you for your
help, and apologize again that we haven't handled these issues to this point.
Comment 2 Bill Nottingham 2006-10-18 12:37:38 EDT
Red Hat Linux is no longer supported by Red Hat, Inc. If you are still
running Red Hat Linux, you are strongly advised to upgrade to a
current Fedora Core release or Red Hat Enterprise Linux or comparable.
Some information on which option may be right for you is available at
http://www.redhat.com/rhel/migrate/redhatlinux/.

Closing as CANTFIX.

Note You need to log in before you can comment on or make changes to this bug.